License Borrowing

Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you are running a network-licensed version of the program, you can borrow a license from a license server to use the program for a specified time when your computer is not connected to the network.

NoteIf you have a stand-alone version of the program, you cannot borrow a license. To check your license type, click Help menu [image] About [image] Product Information. In the Product Information dialog box, view your product license type.

Topics in this section

  • Overview
  • Borrow a License
  • Return a License
Please send us your comment about this page


Overview

Borrow a License
License Borrowing >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you are using a network-licensed version of your Autodesk product and your network administrator supports the license borrowing feature, you can borrow a product license from your network license server to use the program when your computer is not connected to the network. Your license is automatically returned to the license server at the end of the day on the return date you set when you borrowed the license. You can also return a license early.

NoteThere is a limit to the number of licenses available for borrowing. If you try to borrow a license and are notified that no licenses are available, all network licenses may already be borrowed by other users. If you are unable to borrow a license, see your network administrator for help.


Borrow a License

Overview
Return a License
License Borrowing >
Borrow a License
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can run the program when your computer is not connected to the network until your license-borrowing period ends. If you don't remember the date that a license expires, you can check the date by placing your cursor over the Borrowing icon in the program's status tray or by clicking Help [image] About and using the Product Information dialog box.

When the license-borrowing period expires, the borrowed license is automatically returned to the license server. Once your computer is reconnected to the network, you can run the program from the network or borrow a license again.

Interaction with Other License-Borrowing Tools

Using the license borrowing feature in the program is the recommended way to borrow a license; however, some third-party borrowing tools may also be available to you. These tools are not supported or compatible with the license borrowing feature in the program. Other third-party or legacy license-borrowing tools that may be available to you are the Autodesk License Borrowing utility (shipped with Autodesk products) and the borrowing feature in lmtools.exe, a component of the Autodesk Network License Manager.

If another license-borrowing tool is active when you attempt to use the license borrowing feature, you should proceed as follows to borrow a license for the program:

  • If you run the Autodesk License Borrowing utility that shipped with your Autodesk product and then turn on the borrowing flag for the Adskflex option or the All option, a license can be borrowed when you start the program. However, you cannot return a license until you exit and then restart the program.
  • If borrowing is set in lmtools.exe for all products, you can either (a) use the other tool to borrow licenses for the program or (b) stop the borrowing process in lmtools.exe and then use the license borrowing feature in the program.
  • If borrowing is set in lmtools.exe for non-Autodesk products only, you must stop the borrowing process in lmtools.exe. You can then use the license borrowing feature to borrow licenses for your Autodesk product. If you do not stop the borrowing process in lmtools.exe, the license borrowing feature will not function.

To borrow a license using the Tools menu

NoteAutoCAD-based products only.
  1. Click Tools menu [image] License Borrowing [image] Borrow License.
  2. In the Borrow a License window, on the calendar, click the date when you want to return the license.

    This date must be within the valid date range set by your network administrator. The valid date range is displayed in this window.

  3. Click Borrow License.
  4. In the License Borrowed message, click OK. The license is borrowed, and you can now use the program while your computer is disconnected from the network.
    NoteYou can verify that your license is borrowed by placing your cursor over the Borrowing icon in the status tray, which is in the lower-right corner of the program.

To borrow a license using the Help menu

  1. Click Help menu [image] About.
  2. In the About product window, click Product Information.
  3. In the Product Information window, click Borrow License.
  4. In the Borrow a License window, on the calendar, click the date when you want to return the license.

    This date must be within the valid date range set by your network administrator. The valid date range is displayed in this window.

  5. Click Borrow License.
  6. In the License Borrowed message, click OK. The license is borrowed, and you can now use the program while your computer is disconnected from the network.


Return a License

Borrow a License
BORROWLICENSE Command
License Borrowing >
Return a License
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Your network license is automatically returned to the network license server on the day that the license expires. You can also return a license earlier than the date you originally selected, as long as your computer is connected to the network license server when you attempt to return the borrowed license.

Once a borrowed license is returned, you can borrow a license again as long as your computer is connected to the network license server and a license is available on the server.

To return a borrowed license early, do one of the following:

  • Click Tools menu [image] License Borrowing [image] Return License Early.
  • Click Help menu [image] About [image] Product Information. In the Product Information dialog box, click Return License, and then click Yes.
  • In the status tray, right-click the License Borrowing icon. Click Return License Early.
NoteTo use the status tray to return a borrowed license early, the display settings for the status tray must be turned on. To turn on the display settings, right-click an empty area on the status bar. Click Tray Settings.

Your license is returned to the network license server. After you return the borrowed license, you can borrow a license again immediately as long as a license for that product is available on the network.

To check the license return date, do one of the following:

  • In the status tray, right-click the License Borrowing icon. View the expiration date for the borrowed license.
  • Click Help menu [image] About [image] Product Information. In the Product Information dialog box, under License Expiration Date, view the license return date.


BORROWLICENSE Command

Return a License
Borrow a License Window
BORROWLICENSE Command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Borrows a product license so that you can run the product outside the network environment.

NoteTools menu and command line apply to AutoCAD-based products only.

Tools menu: License Borrowing [image] Borrow License

Help menu: About [image] Product Information [image] Borrow License

Command line: borrowlicense

The Borrow a License Window is displayed.

Topics in this section

  • Borrow a License Window


Borrow a License Window

BORROWLICENSE Command
BORROWLICENSE Command
RETURNLICENSE Command
BORROWLICENSE Command >
Borrow a License Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Tools menu: License Borrowing [image] Borrow License

Help menu: About [image] Product Information [image] Borrow License

Command line: borrowlicense

Using the license borrowing feature, you can borrow a license from your network license server, and then use the license when your computer is disconnected from the license server; for example, when you are traveling for work.

The Borrow a License window has the following options:

Calendar

Sets the date when you plan to return a borrowed license. The return date must be within the range specified by your network administrator.

Borrow a License

Borrows the license from the network license server based on the return date that you specified.

Cancel

Cancels the borrowing action; no license is borrowed.


RETURNLICENSE Command

Borrow a License Window
RETURNLICENSE Command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Returns a borrowed Autodesk product license earlier than the original return date that you specified when you borrowed the license.

NoteTools menu and command line apply to AutoCAD-based products only.

Tools menu: License Borrowing [image] Return License

Help menu: About [image] Product Information [image] Return License

Status tray: Right-click the License Borrowing icon. Click Return License Early.

Command line: returnlicense


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!